clc, clear, close all

addpath C:\dynare\4.5.3\matlab


cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')

load reforms; load steady; load options


figure(12);

% % Consumption
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(5,4,1);
load epsK_US_CF
plot(100*(cmdata_epsK),'--r','Linewidth',2);axis tight;grid on; title('Consumption')
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsK_EU_CF
plot(100*(cmdata_epsK),'b','Linewidth',2);axis tight;grid on; title('Consumption');
hold on
load epsK_FCUS_CF
plot(100*(cmdata_epsK),'r','Linewidth',2);axis tight;grid on; title('Consumption')

% % Unemployment rate
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(5,4,2);
load epsK_US_CF
load u_SS_transition_US_CF
plot(100*(u_epsK*u_SS),'--r','Linewidth',2);axis tight;grid on; title('Unemployment rate');
hold on 
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsK_EU_CF
load u_SS_transition_EU_CF
plot(100*(u_epsK*u_SS),'b','Linewidth',2);axis tight;grid on; title('Unemployment rate');
hold on 
load epsK_FCUS_CF
plot(100*(u_epsK*u_SS),'r','Linewidth',2);axis tight;grid on; title('Unemployment rate');

% % Investment physical capital
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(5,4,3);
load epsK_US_CF
plot(100*(ikdata_epsK),'--r','Linewidth',2);axis tight;grid on; title('Investment physical capital');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsK_EU_CF
plot(100*(ikdata_epsK),'b','Linewidth',2);axis tight;grid on; title('Investment physical capital');
hold on 
load epsK_FCUS_CF
plot(100*(ikdata_epsK),'r','Linewidth',2);axis tight;grid on; title('Investment physical capital');


% % GDP
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(5,4,4);
load epsK_US_CF
plot(100*(gdpIncomedata_epsK),'--r','Linewidth',2);axis tight;grid on; title('GDP');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsK_EU_CF
plot(100*(gdpIncomedata_epsK),'b','Linewidth',2);axis tight;grid on; title('GDP');
hold on 
load epsK_FCUS_CF
plot(100*(gdpIncomedata_epsK),'r','Linewidth',2);axis tight;grid on; title('GDP');


% % Wage
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(5,4,5);
load epsK_US_CF
plot(100*(wdata_epsK),'--r','Linewidth',2);grid on;axis tight, title('Wage');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsK_EU_CF
plot(100*(wdata_epsK),'b','Linewidth',2);grid on;axis tight, title('Wage');
hold on 
load epsK_FCUS_CF
plot(100*(wdata_epsK),'r','Linewidth',2);grid on;axis tight, title('Wage');


% % Producers
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(5,4,6);
load epsK_US_CF
plot(100*(N_epsK),'--r','Linewidth',2);grid on;axis tight, title('Producers');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsK_EU_CF
plot(100*(N_epsK),'b','Linewidth',2);grid on;axis tight, title('Producers');
hold on 
load epsK_FCUS_CF
plot(100*(N_epsK),'r','Linewidth',2);grid on;axis tight, title('Producers');


% % Investment new products
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(5,4,7);
load epsK_US_CF
plot(100*(iedata_epsK),'--r','Linewidth',2);axis tight;grid on; title('Investment new products');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsK_EU_CF
plot(100*(iedata_epsK),'b','Linewidth',2);axis tight;grid on; title('Investment new products');
hold on 
load epsK_FCUS_CF
plot(100*(iedata_epsK),'r','Linewidth',2);axis tight;grid on; title('Investment new products');


% % Markup
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(5,4,8);
load epsK_US_CF
plot(100*(markup_epsK),'--r','Linewidth',2);axis tight;grid on; title('Markup');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsK_EU_CF
plot(100*(markup_epsK),'b','Linewidth',2);axis tight;grid on; title('Markup');
hold on 
load epsK_FCUS_CF
plot(100*(markup_epsK),'r','Linewidth',2);axis tight;grid on; title('Markup');


% % Job-finding probability
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(5,4,9);
load epsK_US_CF
plot(100*(s_epsK),'--r','Linewidth',2);axis tight;grid on; title('job-finding prob.');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsK_EU_CF
plot(100*(s_epsK),'b','Linewidth',2);axis tight;grid on; title('job-finding prob.');
hold on 
load epsK_FCUS_CF
plot(100*(s_epsK),'r','Linewidth',2);axis tight;grid on; title('job-finding prob.');


%%Labour mkt tightness
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(5,4,10);
load epsK_US_CF
plot(100*(thetaP_epsK),'--r','Linewidth',2);axis tight;grid on; title('labour mkt tight');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsK_EU_CF
plot(100*(thetaP_epsK),'b','Linewidth',2);axis tight;grid on; title('labour mkt tight');
hold on 
load epsK_FCUS_CF
plot(100*(thetaP_epsK),'r','Linewidth',2);axis tight;grid on; title('labour mkt tight');


%%Outside option
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(5,4,11);
load epsK_US_CF
plot(100*(ooption_epsK),'--r','Linewidth',2);axis tight;grid on; title('outside option');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsK_EU_CF
plot(100*(ooption_epsK),'b','Linewidth',2);axis tight;grid on; title('outside option');
hold on 
load epsK_FCUS_CF
plot(100*(ooption_epsK),'r','Linewidth',2);axis tight;grid on; title('outside option');


%%Firm output
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(5,4,12);
load epsK_US_CF
plot(100*(yfirm_epsK),'--r','Linewidth',2);axis tight;grid on; title('Firm output');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsK_EU_CF
plot(100*(yfirm_epsK),'b','Linewidth',2);axis tight;grid on; title('Firm output');
hold on 
load epsK_FCUS_CF
plot(100*(yfirm_epsK),'r','Linewidth',2);axis tight;grid on; title('Firm output');


%%Profit
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(5,4,13);
load epsK_US_CF
plot(100*(d_epsK),'--r','Linewidth',2);axis tight;grid on; title('Profit');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsK_EU_CF
plot(100*(d_epsK),'b','Linewidth',2);axis tight;grid on; title('Profit');
hold on 
load epsK_FCUS_CF
plot(100*(d_epsK),'r','Linewidth',2);axis tight;grid on; title('Profit');


%%Probability of filling a vacancy
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(5,4,14);
load epsK_US_CF
plot(100*(q_epsK),'--r','Linewidth',2);axis tight;grid on; title('prob. fill vacancy');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsK_EU_CF
plot(100*(q_epsK),'b','Linewidth',2);axis tight;grid on; title('prob. fill vacancy');
hold on 
load epsK_FCUS_CF
plot(100*(q_epsK),'r','Linewidth',2);axis tight;grid on; title('prob. fill vacancy');

%%Productivity cut-off
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(5,4,15);
load epsK_US_CF
plot(100*(zc_epsK),'--r','Linewidth',2);axis tight;grid on; title('prod. cut-off');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsK_EU_CF
plot(100*(zc_epsK),'b','Linewidth',2);axis tight;grid on; title('prod. cut-off');
hold on 
load epsK_FCUS_CF
plot(100*(zc_epsK),'r','Linewidth',2);axis tight;grid on; title('prod. cut-off');


%%Vacancies
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(5,4,16);
load epsK_US_CF
plot(100*(v_epsK),'--r','Linewidth',2);axis tight;grid on; title('vacancies');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsK_EU_CF
plot(100*(v_epsK),'b','Linewidth',2);axis tight;grid on; title('vacancies');
hold on 
load epsK_FCUS_CF
plot(100*(v_epsK),'r','Linewidth',2);axis tight;grid on; title('vacancies');


%%Endogenous separation rate
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(5,4,17);
load epsK_US_CF
plot(100*(rho_epsK),'--r','Linewidth',2);axis tight;grid on; title('endo. separate');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsK_EU_CF
plot(100*(rho_epsK),'b','Linewidth',2);axis tight;grid on; title('endo. separate');
hold on 
load epsK_FCUS_CF
plot(100*(rho_epsK),'r','Linewidth',2);axis tight;grid on; title('endo. separate');

%%JD
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(5,4,18);
load epsK_US_CF
plot(100*(JD_epsK),'--r','Linewidth',2);axis tight;grid on; title('JD');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsK_EU_CF
plot(100*(JD_epsK),'b','Linewidth',2);axis tight;grid on; title('JD');
hold on 
load epsK_FCUS_CF
plot(100*(JD_epsK),'r','Linewidth',2);axis tight;grid on; title('JD');

%%JC
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(5,4,19);
load epsK_US_CF
plot(100*(JC_epsK),'--r','Linewidth',2);axis tight;grid on; title('JC');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsK_EU_CF
plot(100*(JC_epsK),'b','Linewidth',2);axis tight;grid on; title('JC');
hold on 
load epsK_FCUS_CF
plot(100*(JC_epsK),'r','Linewidth',2);axis tight;grid on; title('JC');

%%NetJC
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(5,4,20);
load epsK_US_CF
plot(100*(netJC_epsK),'--r','Linewidth',2);axis tight;grid on; title('netJC');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsK_EU_CF
plot(100*(netJC_epsK),'b','Linewidth',2);axis tight;grid on; title('netJC');
hold on 
load epsK_FCUS_CF
plot(100*(netJC_epsK),'r','Linewidth',2);axis tight;grid on; title('netJC');

