clc, clear, close all

addpath C:\dynare\4.5.3\matlab


cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')

load reforms; load steady; load options


figure(12);

% % Capital Income tax
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,1);
load epsK_US_CF
plot((tauK_epsK),'--r','Linewidth',2);axis tight;grid on; title('Cap. inc. tax')
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsK_EU_CF
plot((tauK_epsK),'b','Linewidth',2);axis tight;grid on; title('Cap. inc. tax');
hold on
load epsK_FCUS_CF
plot((tauK_epsK),'r','Linewidth',2);axis tight;grid on; title('Cap. inc. tax')

% % Consumption
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,2);
load epsK_US_CF
plot(100*(cmdata_epsK),'--r','Linewidth',2);axis tight;grid on; title('Consumption')
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsK_EU_CF
plot(100*(cmdata_epsK),'b','Linewidth',2);axis tight;grid on; title('Consumption');
hold on
load epsK_FCUS_CF
plot(100*(cmdata_epsK),'r','Linewidth',2);axis tight;grid on; title('Consumption')

% % Unemployment rate
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,3);
load epsK_US_CF
load u_SS_transition_US_CF
plot(100*(u_epsK*u_SS),'--r','Linewidth',2);axis tight;grid on; title('UR');
hold on 
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsK_EU_CF
load u_SS_transition_EU_CF
plot(100*(u_epsK*u_SS),'b','Linewidth',2);axis tight;grid on; title('UR');
hold on 
load epsK_FCUS_CF
plot(100*(u_epsK*u_SS),'r','Linewidth',2);axis tight;grid on; title('UR');

% % Investment physical capital
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,4);
load epsK_US_CF
plot(100*(ikdata_epsK),'--r','Linewidth',2);axis tight;grid on; title('Investment K');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsK_EU_CF
plot(100*(ikdata_epsK),'b','Linewidth',2);axis tight;grid on; title('Investment K');
hold on 
load epsK_FCUS_CF
plot(100*(ikdata_epsK),'r','Linewidth',2);axis tight;grid on; title('Investment K');


% % GDP
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,5);
load epsK_US_CF
plot(100*(gdpIncomedata_epsK),'--r','Linewidth',2);axis tight;grid on; title('GDP');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsK_EU_CF
plot(100*(gdpIncomedata_epsK),'b','Linewidth',2);axis tight;grid on; title('GDP');
hold on 
load epsK_FCUS_CF
plot(100*(gdpIncomedata_epsK),'r','Linewidth',2);axis tight;grid on; title('GDP');


% % Wage
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,6);
load epsK_US_CF
plot(100*(wdata_epsK),'--r','Linewidth',2);grid on;axis tight, title('Wage');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsK_EU_CF
plot(100*(wdata_epsK),'b','Linewidth',2);grid on;axis tight, title('Wage');
hold on 
load epsK_FCUS_CF
plot(100*(wdata_epsK),'r','Linewidth',2);grid on;axis tight, title('Wage');


% % Producers
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,7);
load epsK_US_CF
plot(100*(N_epsK),'--r','Linewidth',2);grid on;axis tight, title('Producers');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsK_EU_CF
plot(100*(N_epsK),'b','Linewidth',2);grid on;axis tight, title('Producers');
hold on 
load epsK_FCUS_CF
plot(100*(N_epsK),'r','Linewidth',2);grid on;axis tight, title('Producers');


% % Investment new products
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,8);
load epsK_US_CF
plot(100*(iedata_epsK),'--r','Linewidth',2);axis tight;grid on; title('Investment products');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsK_EU_CF
plot(100*(iedata_epsK),'b','Linewidth',2);axis tight;grid on; title('Investment products');
hold on 
load epsK_FCUS_CF
plot(100*(iedata_epsK),'r','Linewidth',2);axis tight;grid on; title('Investment products');


% % Markup
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,9);
load epsK_US_CF
plot(100*(markup_epsK),'--r','Linewidth',2);axis tight;grid on; title('Markup');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsK_EU_CF
plot(100*(markup_epsK),'b','Linewidth',2);axis tight;grid on; title('Markup');
hold on 
load epsK_FCUS_CF
plot(100*(markup_epsK),'r','Linewidth',2);axis tight;grid on; title('Markup');


% % Job-finding probability
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,10);
load epsK_US_CF
plot(100*(s_epsK),'--r','Linewidth',2);axis tight;grid on; title('Job-finding prob.');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsK_EU_CF
plot(100*(s_epsK),'b','Linewidth',2);axis tight;grid on; title('Job-finding prob.');
hold on 
load epsK_FCUS_CF
plot(100*(s_epsK),'r','Linewidth',2);axis tight;grid on; title('Job-finding prob.');


%%Labour mkt tightness
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,11);
load epsK_US_CF
plot(100*(thetaP_epsK),'--r','Linewidth',2);axis tight;grid on; title('Labour mkt tight');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsK_EU_CF
plot(100*(thetaP_epsK),'b','Linewidth',2);axis tight;grid on; title('Labour mkt tight');
hold on 
load epsK_FCUS_CF
plot(100*(thetaP_epsK),'r','Linewidth',2);axis tight;grid on; title('Labour mkt tight');


%%Outside option
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,12);
load epsK_US_CF
plot(100*(ooption_epsK),'--r','Linewidth',2);axis tight;grid on; title('Outside option');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsK_EU_CF
plot(100*(ooption_epsK),'b','Linewidth',2);axis tight;grid on; title('Outside option');
hold on 
load epsK_FCUS_CF
plot(100*(ooption_epsK),'r','Linewidth',2);axis tight;grid on; title('Outside option');

%%Worker surplus
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,13);
load epsK_US_CF
plot(100*(surplusW_epsK),'--r','Linewidth',2);axis tight;grid on; title('Surplus W')
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsK_EU_CF
plot(100*(surplusW_epsK),'b','Linewidth',2);axis tight;grid on; title('Surplus W');
hold on
load epsK_FCUS_CF
plot(100*(surplusW_epsK),'r','Linewidth',2);axis tight;grid on; title('Surplus W')

%%Firm output
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,14);
load epsK_US_CF
plot(100*(yfirm_epsK),'--r','Linewidth',2);axis tight;grid on; title('Firm output');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsK_EU_CF
plot(100*(yfirm_epsK),'b','Linewidth',2);axis tight;grid on; title('Firm output');
hold on 
load epsK_FCUS_CF
plot(100*(yfirm_epsK),'r','Linewidth',2);axis tight;grid on; title('Firm output');


%%Profit
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,15);
load epsK_US_CF
plot(100*(d_epsK),'--r','Linewidth',2);axis tight;grid on; title('Profit');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsK_EU_CF
plot(100*(d_epsK),'b','Linewidth',2);axis tight;grid on; title('Profit');
hold on 
load epsK_FCUS_CF
plot(100*(d_epsK),'r','Linewidth',2);axis tight;grid on; title('Profit');


%%Probability of filling a vacancy
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,16);
load epsK_US_CF
plot(100*(q_epsK),'--r','Linewidth',2);axis tight;grid on; title('Prob. fill vacancy');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsK_EU_CF
plot(100*(q_epsK),'b','Linewidth',2);axis tight;grid on; title('Prob. fill vacancy');
hold on 
load epsK_FCUS_CF
plot(100*(q_epsK),'r','Linewidth',2);axis tight;grid on; title('Prob. fill vacancy');

%%Productivity cut-off
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,17);
load epsK_US_CF
plot(100*(zc_epsK),'--r','Linewidth',2);axis tight;grid on; title('Prod. cut-off');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsK_EU_CF
plot(100*(zc_epsK),'b','Linewidth',2);axis tight;grid on; title('Prod. cut-off');
hold on 
load epsK_FCUS_CF
plot(100*(zc_epsK),'r','Linewidth',2);axis tight;grid on; title('Prod. cut-off');

%%Vacancies - incumbents
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,18);
load epsK_US_CF
plot(100*(vi_epsK),'--r','Linewidth',2);axis tight;grid on; title('V incumbents')
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsK_EU_CF
plot(100*(vi_epsK),'b','Linewidth',2);axis tight;grid on; title('V incumbents');
hold on
load epsK_FCUS_CF
plot(100*(vi_epsK),'r','Linewidth',2);axis tight;grid on; title('V incumbents')

%%Vacancies - entrants
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,19);
load epsK_US_CF
plot(100*(ve_epsK),'--r','Linewidth',2);axis tight;grid on; title('V entrants')
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsK_EU_CF
plot(100*(ve_epsK),'b','Linewidth',2);axis tight;grid on; title('V entrants');
hold on
load epsK_FCUS_CF
plot(100*(ve_epsK),'r','Linewidth',2);axis tight;grid on; title('V entrants')

%%Vacancies
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,20);
load epsK_US_CF
plot(100*(v_epsK),'--r','Linewidth',2);axis tight;grid on; title('Vacancies');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsK_EU_CF
plot(100*(v_epsK),'b','Linewidth',2);axis tight;grid on; title('Vacancies');
hold on 
load epsK_FCUS_CF
plot(100*(v_epsK),'r','Linewidth',2);axis tight;grid on; title('Vacancies');


%%Endogenous separation rate
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,21);
load epsK_US_CF
plot(100*(rho_epsK),'--r','Linewidth',2);axis tight;grid on; title('Endo. separate');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsK_EU_CF
plot(100*(rho_epsK),'b','Linewidth',2);axis tight;grid on; title('Endo. separate');
hold on 
load epsK_FCUS_CF
plot(100*(rho_epsK),'r','Linewidth',2);axis tight;grid on; title('Endo. separate');

%%JD
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,22);
load epsK_US_CF
plot(100*(JD_epsK),'--r','Linewidth',2);axis tight;grid on; title('JD');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsK_EU_CF
plot(100*(JD_epsK),'b','Linewidth',2);axis tight;grid on; title('JD');
hold on 
load epsK_FCUS_CF
plot(100*(JD_epsK),'r','Linewidth',2);axis tight;grid on; title('JD');

%%JC
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,23);
load epsK_US_CF
plot(100*(JC_epsK),'--r','Linewidth',2);axis tight;grid on; title('JC');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsK_EU_CF
plot(100*(JC_epsK),'b','Linewidth',2);axis tight;grid on; title('JC');
hold on 
load epsK_FCUS_CF
plot(100*(JC_epsK),'r','Linewidth',2);axis tight;grid on; title('JC');

%%NetJC
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,24);
load epsK_US_CF
plot(100*(netJC_epsK),'--r','Linewidth',2);axis tight;grid on; title('NetJC');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsK_EU_CF
plot(100*(netJC_epsK),'b','Linewidth',2);axis tight;grid on; title('NetJC');
hold on 
load epsK_FCUS_CF
plot(100*(netJC_epsK),'r','Linewidth',2);axis tight;grid on; title('NetJC');

