clc, clear, close all

addpath C:\dynare\4.5.3\matlab


cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')

load reforms; load steady; load options


figure(12);

% % Government consumption 
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,1);
load epsG_US_CF
plot((gc_epsG),'--r','Linewidth',2);axis tight;grid on; title('Gvt. cons.')
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsG_EU_CF
plot((gc_epsG),'b','Linewidth',2);axis tight;grid on; title('Gvt. cons.');
hold on
load epsG_FCUS_CF
plot((gc_epsG),'r','Linewidth',2);axis tight;grid on; title('Gvt. cons.')

% % Consumption
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,2);
load epsG_US_CF
plot(100*(cmdata_epsG),'--r','Linewidth',2);axis tight;grid on; title('Consumption')
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsG_EU_CF
plot(100*(cmdata_epsG),'b','Linewidth',2);axis tight;grid on; title('Consumption');
hold on
load epsG_FCUS_CF
plot(100*(cmdata_epsG),'r','Linewidth',2);axis tight;grid on; title('Consumption')

% % Unemployment rate
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,3);
load epsG_US_CF
load u_SS_transition_US_CF
plot(100*(u_epsG*u_SS),'--r','Linewidth',2);axis tight;grid on; title('UR');
hold on 
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsG_EU_CF
load u_SS_transition_EU_CF
plot(100*(u_epsG*u_SS),'b','Linewidth',2);axis tight;grid on; title('UR');
hold on 
load epsG_FCUS_CF
plot(100*(u_epsG*u_SS),'r','Linewidth',2);axis tight;grid on; title('UR');

% % Investment physical capital
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,4);
load epsG_US_CF
plot(100*(ikdata_epsG),'--r','Linewidth',2);axis tight;grid on; title('Investment K');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsG_EU_CF
plot(100*(ikdata_epsG),'b','Linewidth',2);axis tight;grid on; title('Investment K');
hold on 
load epsG_FCUS_CF
plot(100*(ikdata_epsG),'r','Linewidth',2);axis tight;grid on; title('Investment K');


% % GDP
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,5);
load epsG_US_CF
plot(100*(gdpIncomedata_epsG),'--r','Linewidth',2);axis tight;grid on; title('GDP');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsG_EU_CF
plot(100*(gdpIncomedata_epsG),'b','Linewidth',2);axis tight;grid on; title('GDP');
hold on 
load epsG_FCUS_CF
plot(100*(gdpIncomedata_epsG),'r','Linewidth',2);axis tight;grid on; title('GDP');


% % Wage
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,6);
load epsG_US_CF
plot(100*(wdata_epsG),'--r','Linewidth',2);grid on;axis tight, title('Wage');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsG_EU_CF
plot(100*(wdata_epsG),'b','Linewidth',2);grid on;axis tight, title('Wage');
hold on 
load epsG_FCUS_CF
plot(100*(wdata_epsG),'r','Linewidth',2);grid on;axis tight, title('Wage');


% % Producers
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,7);
load epsG_US_CF
plot(100*(N_epsG),'--r','Linewidth',2);grid on;axis tight, title('Producers');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsG_EU_CF
plot(100*(N_epsG),'b','Linewidth',2);grid on;axis tight, title('Producers');
hold on 
load epsG_FCUS_CF
plot(100*(N_epsG),'r','Linewidth',2);grid on;axis tight, title('Producers');


% % Investment new products
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,8);
load epsG_US_CF
plot(100*(iedata_epsG),'--r','Linewidth',2);axis tight;grid on; title('Investment products');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsG_EU_CF
plot(100*(iedata_epsG),'b','Linewidth',2);axis tight;grid on; title('Investment products');
hold on 
load epsG_FCUS_CF
plot(100*(iedata_epsG),'r','Linewidth',2);axis tight;grid on; title('Investment products');


% % Markup
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,9);
load epsG_US_CF
plot(100*(markup_epsG),'--r','Linewidth',2);axis tight;grid on; title('Markup');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsG_EU_CF
plot(100*(markup_epsG),'b','Linewidth',2);axis tight;grid on; title('Markup');
hold on 
load epsG_FCUS_CF
plot(100*(markup_epsG),'r','Linewidth',2);axis tight;grid on; title('Markup');


% % Job-finding probability
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,10);
load epsG_US_CF
plot(100*(s_epsG),'--r','Linewidth',2);axis tight;grid on; title('Job-finding prob.');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsG_EU_CF
plot(100*(s_epsG),'b','Linewidth',2);axis tight;grid on; title('Job-finding prob.');
hold on 
load epsG_FCUS_CF
plot(100*(s_epsG),'r','Linewidth',2);axis tight;grid on; title('Job-finding prob.');


%%Labour mkt tightness
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,11);
load epsG_US_CF
plot(100*(thetaP_epsG),'--r','Linewidth',2);axis tight;grid on; title('Labour mkt tight');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsG_EU_CF
plot(100*(thetaP_epsG),'b','Linewidth',2);axis tight;grid on; title('Labour mkt tight');
hold on 
load epsG_FCUS_CF
plot(100*(thetaP_epsG),'r','Linewidth',2);axis tight;grid on; title('Labour mkt tight');


%%Outside option
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,12);
load epsG_US_CF
plot(100*(ooption_epsG),'--r','Linewidth',2);axis tight;grid on; title('Outside option');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsG_EU_CF
plot(100*(ooption_epsG),'b','Linewidth',2);axis tight;grid on; title('Outside option');
hold on 
load epsG_FCUS_CF
plot(100*(ooption_epsG),'r','Linewidth',2);axis tight;grid on; title('Outside option');

%%Worker surplus
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,13);
load epsG_US_CF
plot(100*(surplusW_epsG),'--r','Linewidth',2);axis tight;grid on; title('Surplus W')
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsG_EU_CF
plot(100*(surplusW_epsG),'b','Linewidth',2);axis tight;grid on; title('Surplus W');
hold on
load epsG_FCUS_CF
plot(100*(surplusW_epsG),'r','Linewidth',2);axis tight;grid on; title('Surplus W')

%%Firm output
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,14);
load epsG_US_CF
plot(100*(yfirm_epsG),'--r','Linewidth',2);axis tight;grid on; title('Firm output');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsG_EU_CF
plot(100*(yfirm_epsG),'b','Linewidth',2);axis tight;grid on; title('Firm output');
hold on 
load epsG_FCUS_CF
plot(100*(yfirm_epsG),'r','Linewidth',2);axis tight;grid on; title('Firm output');


%%Profit
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,15);
load epsG_US_CF
plot(100*(d_epsG),'--r','Linewidth',2);axis tight;grid on; title('Profit');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsG_EU_CF
plot(100*(d_epsG),'b','Linewidth',2);axis tight;grid on; title('Profit');
hold on 
load epsG_FCUS_CF
plot(100*(d_epsG),'r','Linewidth',2);axis tight;grid on; title('Profit');


%%Probability of filling a vacancy
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,16);
load epsG_US_CF
plot(100*(q_epsG),'--r','Linewidth',2);axis tight;grid on; title('Prob. fill vacancy');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsG_EU_CF
plot(100*(q_epsG),'b','Linewidth',2);axis tight;grid on; title('Prob. fill vacancy');
hold on 
load epsG_FCUS_CF
plot(100*(q_epsG),'r','Linewidth',2);axis tight;grid on; title('Prob. fill vacancy');

%%Productivity cut-off
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,17);
load epsG_US_CF
plot(100*(zc_epsG),'--r','Linewidth',2);axis tight;grid on; title('Prod. cut-off');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsG_EU_CF
plot(100*(zc_epsG),'b','Linewidth',2);axis tight;grid on; title('Prod. cut-off');
hold on 
load epsG_FCUS_CF
plot(100*(zc_epsG),'r','Linewidth',2);axis tight;grid on; title('Prod. cut-off');

%%Vacancies - incumbents
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,18);
load epsG_US_CF
plot(100*(vi_epsG),'--r','Linewidth',2);axis tight;grid on; title('V incumbents')
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsG_EU_CF
plot(100*(vi_epsG),'b','Linewidth',2);axis tight;grid on; title('V incumbents');
hold on
load epsG_FCUS_CF
plot(100*(vi_epsG),'r','Linewidth',2);axis tight;grid on; title('V incumbents')

%%Vacancies - entrants
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,19);
load epsG_US_CF
plot(100*(ve_epsG),'--r','Linewidth',2);axis tight;grid on; title('V entrants')
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsG_EU_CF
plot(100*(ve_epsG),'b','Linewidth',2);axis tight;grid on; title('V entrants');
hold on
load epsG_FCUS_CF
plot(100*(ve_epsG),'r','Linewidth',2);axis tight;grid on; title('V entrants')

%%Vacancies
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,20);
load epsG_US_CF
plot(100*(v_epsG),'--r','Linewidth',2);axis tight;grid on; title('Vacancies');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsG_EU_CF
plot(100*(v_epsG),'b','Linewidth',2);axis tight;grid on; title('Vacancies');
hold on 
load epsG_FCUS_CF
plot(100*(v_epsG),'r','Linewidth',2);axis tight;grid on; title('Vacancies');


%%Endogenous separation rate
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,21);
load epsG_US_CF
plot(100*(rho_epsG),'--r','Linewidth',2);axis tight;grid on; title('Endo. separate');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsG_EU_CF
plot(100*(rho_epsG),'b','Linewidth',2);axis tight;grid on; title('Endo. separate');
hold on 
load epsG_FCUS_CF
plot(100*(rho_epsG),'r','Linewidth',2);axis tight;grid on; title('Endo. separate');

%%JD
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,22);
load epsG_US_CF
plot(100*(JD_epsG),'--r','Linewidth',2);axis tight;grid on; title('JD');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsG_EU_CF
plot(100*(JD_epsG),'b','Linewidth',2);axis tight;grid on; title('JD');
hold on 
load epsG_FCUS_CF
plot(100*(JD_epsG),'r','Linewidth',2);axis tight;grid on; title('JD');

%%JC
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,23);
load epsG_US_CF
plot(100*(JC_epsG),'--r','Linewidth',2);axis tight;grid on; title('JC');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsG_EU_CF
plot(100*(JC_epsG),'b','Linewidth',2);axis tight;grid on; title('JC');
hold on 
load epsG_FCUS_CF
plot(100*(JC_epsG),'r','Linewidth',2);axis tight;grid on; title('JC');

%%NetJC
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,24);
load epsG_US_CF
plot(100*(netJC_epsG),'--r','Linewidth',2);axis tight;grid on; title('NetJC');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsG_EU_CF
plot(100*(netJC_epsG),'b','Linewidth',2);axis tight;grid on; title('NetJC');
hold on 
load epsG_FCUS_CF
plot(100*(netJC_epsG),'r','Linewidth',2);axis tight;grid on; title('NetJC');

