clc, clear, close all

addpath C:\dynare\4.5.3\matlab


cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')

load reforms; load steady; load options


figure(12);

% % Labour Income tax
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,1);
load epsW_US_CF
plot((tauW_epsW),'--r','Linewidth',2);axis tight;grid on; title('Lab. inc. tax');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsW_EU_CF
plot((tauW_epsW),'b','Linewidth',2);axis tight;grid on; title('Lab. inc. tax');
hold on
load epsW_FCUS_CF
plot((tauW_epsW),'r','Linewidth',2);axis tight;grid on; title('Lab. inc. tax');

% % Consumption
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,2);
load epsW_US_CF
plot(100*(cmdata_epsW),'--r','Linewidth',2);axis tight;grid on; title('Consumption');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsW_EU_CF
plot(100*(cmdata_epsW),'b','Linewidth',2);axis tight;grid on; title('Consumption');
hold on
load epsW_FCUS_CF
plot(100*(cmdata_epsW),'r','Linewidth',2);axis tight;grid on; title('Consumption');

% % Unemployment rate
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,3);
load epsW_US_CF
load u_SS_transition_US_CF
plot(100*(u_epsW*u_SS),'--r','Linewidth',2);axis tight;grid on; title('UR');
hold on 
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsW_EU_CF
load u_SS_transition_EU_CF
plot(100*(u_epsW*u_SS),'b','Linewidth',2);axis tight;grid on; title('UR');
hold on 
load epsW_FCUS_CF
plot(100*(u_epsW*u_SS),'r','Linewidth',2);axis tight;grid on; title('UR');

% % Investment physical capital
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,4);
load epsW_US_CF
plot(100*(ikdata_epsW),'--r','Linewidth',2);axis tight;grid on; title('Investment K');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsW_EU_CF
plot(100*(ikdata_epsW),'b','Linewidth',2);axis tight;grid on; title('Investment K');
hold on 
load epsW_FCUS_CF
plot(100*(ikdata_epsW),'r','Linewidth',2);axis tight;grid on; title('Investment K');


% % GDP
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,5);
load epsW_US_CF
plot(100*(gdpIncomedata_epsW),'--r','Linewidth',2);axis tight;grid on; title('GDP');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsW_EU_CF
plot(100*(gdpIncomedata_epsW),'b','Linewidth',2);axis tight;grid on; title('GDP');
hold on 
load epsW_FCUS_CF
plot(100*(gdpIncomedata_epsW),'r','Linewidth',2);axis tight;grid on; title('GDP');


% % Wage
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,6);
load epsW_US_CF
plot(100*(wdata_epsW),'--r','Linewidth',2);grid on;axis tight, title('Wage');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsW_EU_CF
plot(100*(wdata_epsW),'b','Linewidth',2);grid on;axis tight, title('Wage');
hold on 
load epsW_FCUS_CF
plot(100*(wdata_epsW),'r','Linewidth',2);grid on;axis tight, title('Wage');


% % Producers
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,7);
load epsW_US_CF
plot(100*(N_epsW),'--r','Linewidth',2);grid on;axis tight, title('Producers');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsW_EU_CF
plot(100*(N_epsW),'b','Linewidth',2);grid on;axis tight, title('Producers');
hold on 
load epsW_FCUS_CF
plot(100*(N_epsW),'r','Linewidth',2);grid on;axis tight, title('Producers');


% % Investment new products
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,8);
load epsW_US_CF
plot(100*(iedata_epsW),'--r','Linewidth',2);axis tight;grid on; title('Investment products');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsW_EU_CF
plot(100*(iedata_epsW),'b','Linewidth',2);axis tight;grid on; title('Investment products');
hold on 
load epsW_FCUS_CF
plot(100*(iedata_epsW),'r','Linewidth',2);axis tight;grid on; title('Investment products');


% % Markup
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,9);
load epsW_US_CF
plot(100*(markup_epsW),'--r','Linewidth',2);axis tight;grid on; title('Markup');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsW_EU_CF
plot(100*(markup_epsW),'b','Linewidth',2);axis tight;grid on; title('Markup');
hold on 
load epsW_FCUS_CF
plot(100*(markup_epsW),'r','Linewidth',2);axis tight;grid on; title('Markup');


% % Job-finding probability
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,10);
load epsW_US_CF
plot(100*(s_epsW),'--r','Linewidth',2);axis tight;grid on; title('Job-finding prob.');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsW_EU_CF
plot(100*(s_epsW),'b','Linewidth',2);axis tight;grid on; title('Job-finding prob.');
hold on 
load epsW_FCUS_CF
plot(100*(s_epsW),'r','Linewidth',2);axis tight;grid on; title('Job-finding prob.');


%%Labour mkt tightness
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,11);
load epsW_US_CF
plot(100*(thetaP_epsW),'--r','Linewidth',2);axis tight;grid on; title('Labour mkt tight');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsW_EU_CF
plot(100*(thetaP_epsW),'b','Linewidth',2);axis tight;grid on; title('Labour mkt tight');
hold on 
load epsW_FCUS_CF
plot(100*(thetaP_epsW),'r','Linewidth',2);axis tight;grid on; title('Labour mkt tight');


%%Outside option
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,12);
load epsW_US_CF
plot(100*(ooption_epsW),'--r','Linewidth',2);axis tight;grid on; title('Outside option');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsW_EU_CF
plot(100*(ooption_epsW),'b','Linewidth',2);axis tight;grid on; title('Outside option');
hold on 
load epsW_FCUS_CF
plot(100*(ooption_epsW),'r','Linewidth',2);axis tight;grid on; title('Outside option');

%%Worker surplus
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,13);
load epsW_US_CF
plot(100*(surplusW_epsW),'--r','Linewidth',2);axis tight;grid on; title('Surplus W')
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsW_EU_CF
plot(100*(surplusW_epsW),'b','Linewidth',2);axis tight;grid on; title('Surplus W');
hold on
load epsW_FCUS_CF
plot(100*(surplusW_epsW),'r','Linewidth',2);axis tight;grid on; title('Surplus W')

%%Firm output
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,14);
load epsW_US_CF
plot(100*(yfirm_epsW),'--r','Linewidth',2);axis tight;grid on; title('Firm output');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsW_EU_CF
plot(100*(yfirm_epsW),'b','Linewidth',2);axis tight;grid on; title('Firm output');
hold on 
load epsW_FCUS_CF
plot(100*(yfirm_epsW),'r','Linewidth',2);axis tight;grid on; title('Firm output');


%%Profit
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,15);
load epsW_US_CF
plot(100*(d_epsW),'--r','Linewidth',2);axis tight;grid on; title('Profit');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsW_EU_CF
plot(100*(d_epsW),'b','Linewidth',2);axis tight;grid on; title('Profit');
hold on 
load epsW_FCUS_CF
plot(100*(d_epsW),'r','Linewidth',2);axis tight;grid on; title('Profit');


%%Probability of filling a vacancy
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,16);
load epsW_US_CF
plot(100*(q_epsW),'--r','Linewidth',2);axis tight;grid on; title('Prob. fill vacancy');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsW_EU_CF
plot(100*(q_epsW),'b','Linewidth',2);axis tight;grid on; title('Prob. fill vacancy');
hold on 
load epsW_FCUS_CF
plot(100*(q_epsW),'r','Linewidth',2);axis tight;grid on; title('Prob. fill vacancy');

%%Productivity cut-off
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,17);
load epsW_US_CF
plot(100*(zc_epsW),'--r','Linewidth',2);axis tight;grid on; title('Prod. cut-off');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsW_EU_CF
plot(100*(zc_epsW),'b','Linewidth',2);axis tight;grid on; title('Prod. cut-off');
hold on 
load epsW_FCUS_CF
plot(100*(zc_epsW),'r','Linewidth',2);axis tight;grid on; title('Prod. cut-off');

%%Vacancies - incumbents
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,18);
load epsW_US_CF
plot(100*(vi_epsW),'--r','Linewidth',2);axis tight;grid on; title('V incumbents')
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsW_EU_CF
plot(100*(vi_epsW),'b','Linewidth',2);axis tight;grid on; title('V incumbents');
hold on
load epsW_FCUS_CF
plot(100*(vi_epsW),'r','Linewidth',2);axis tight;grid on; title('V incumbents')

%%Vacancies - entrants
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,19);
load epsW_US_CF
plot(100*(ve_epsW),'--r','Linewidth',2);axis tight;grid on; title('V entrants')
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsW_EU_CF
plot(100*(ve_epsW),'b','Linewidth',2);axis tight;grid on; title('V entrants');
hold on
load epsW_FCUS_CF
plot(100*(ve_epsW),'r','Linewidth',2);axis tight;grid on; title('V entrants')

%%Vacancies
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,20);
load epsW_US_CF
plot(100*(v_epsW),'--r','Linewidth',2);axis tight;grid on; title('Vacancies');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsW_EU_CF
plot(100*(v_epsW),'b','Linewidth',2);axis tight;grid on; title('Vacancies');
hold on 
load epsW_FCUS_CF
plot(100*(v_epsW),'r','Linewidth',2);axis tight;grid on; title('Vacancies');


%%Endogenous separation rate
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,21);
load epsW_US_CF
plot(100*(rho_epsW),'--r','Linewidth',2);axis tight;grid on; title('Endo. separate');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsW_EU_CF
plot(100*(rho_epsW),'b','Linewidth',2);axis tight;grid on; title('Endo. separate');
hold on 
load epsW_FCUS_CF
plot(100*(rho_epsW),'r','Linewidth',2);axis tight;grid on; title('Endo. separate');

%%JD
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,22);
load epsW_US_CF
plot(100*(JD_epsW),'--r','Linewidth',2);axis tight;grid on; title('JD');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsW_EU_CF
plot(100*(JD_epsW),'b','Linewidth',2);axis tight;grid on; title('JD');
hold on 
load epsW_FCUS_CF
plot(100*(JD_epsW),'r','Linewidth',2);axis tight;grid on; title('JD');

%%JC
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,23);
load epsW_US_CF
plot(100*(JC_epsW),'--r','Linewidth',2);axis tight;grid on; title('JC');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsW_EU_CF
plot(100*(JC_epsW),'b','Linewidth',2);axis tight;grid on; title('JC');
hold on 
load epsW_FCUS_CF
plot(100*(JC_epsW),'r','Linewidth',2);axis tight;grid on; title('JC');

%%NetJC
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
subplot(6,4,24);
load epsW_US_CF
plot(100*(netJC_epsW),'--r','Linewidth',2);axis tight;grid on; title('NetJC');
hold on
cd('M:\PhD folder\CF model files\01_04\CF_income_capital_tax_gc')
load epsW_EU_CF
plot(100*(netJC_epsW),'b','Linewidth',2);axis tight;grid on; title('NetJC');
hold on 
load epsW_FCUS_CF
plot(100*(netJC_epsW),'r','Linewidth',2);axis tight;grid on; title('NetJC');

