warning 'off';

close all; clc; 
% clear; 

% delete('*.mat','*.pdf', '*.asv','*.fig','*.eps','cacciaFiori.m','cacciaFioriDeterministic.m','*_dynamic.m','*_static.m','*.txt','*.bin',...
%        '*.cod', '*.jnl','*.log','*_set_auxiliary_variables.m','cycle_irf.m','cycle_moments.m','transition.m');

% % addpath C:\dynare\4.4.3\matlab

addpath /Applications/Dynare/4.5.3/matlab

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% CHOOSE OPTIONS
deterministicI      =      0;                            %% -- set to one if you want transition dynamics following deregulation
                                                                 %  -- otherwise: IRFs/second moments following a productivity shock

reformI             =      0;                            %% -- set to one if you consider a market reform
                                                                 %  -- otherwise: regulation set at euro area level

momentsI            =      1*(1-deterministicI); %% -- set to one if you want second moments (for given level of regulation);
                                                                 %  -- always zero when considering transition dynamics.
                                                                 
save options deterministicI reformI momentsI
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%




%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% CHOOSE REFORM
pmrI   = 0; fcI    = 0;  ubI   = 0; % Baseline
% pmrI   = 0; fcI    = 0;  ubI   = 0; % Entry cost reform
% pmrI   = 0; fcI    = 1;  ubI   = 0; % Firing cost reform
% pmrI   = 0; fcI    = 1;  ubI   = 0; % Benefit reform
% pmrI   = 1; fcI    = 1;  ubI   = 1; %Joint


save reforms ubI fcI pmrI
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% CALIBRATE THE MODEL AND GET INITIAL, RIGID STEADY STATE
calibration; 
% clear; 
load options
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
if deterministicI==0 && reformI==0 
   %% BUSINES CYCLE DYNAMICS FOR BENCHMARK CALIBRATION WITH HIGH REGULATION (EITHER IRF OR SECOND MOMENTS)
    
   if momentsI==0
      dynare cycle_irf; load options
   else
      dynare cycle_moments; load options
      second_moments;
%       second_moments_ver2;
   end    
%        clear; 
       load options
end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


                          
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
if reformI==1 
   %% COMPUTE STEADY STATE AFTER MARKET REFORM   
   newsteady; 
%    clear; 
   load options
          
   if deterministicI==0 
      %% BUSINES CYCLE DYNAMICS AFTER DEREGULATION (EITHER IRF OR SECOND MOMENTS)
   
      if momentsI==0
         dynare cycle_irf; load options
      else
         dynare cycle_moments; load options
        second_moments;
%          second_moments_ver2;
      end    
             
   else
      %% TRANSITION DYNAMICS AFTER DEREGULATION
       dynare transition 
   end
   
end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 %% FOR CYCLE IRFS
load reforms; load steady; load options

%% Labour income tax
% if deterministicI==0 && pmrI==0 && fcI==0 &&  ubI==0; 
% save u_SS_transition_EU_CF u_SS 
% save epsW_EU_CF cmdata_epsW u_epsW ikdata_epsW...
% gdpIncomedata_epsW wdata_epsW N_epsW iedata_epsW markup_epsW zc_epsW...
% N_epsW iedata_epsW markup_epsW m_epsW v_epsW q_epsW ub_epsW s_epsW thetaP_epsW ooption_epsW...
% m_epsW q_epsW zc_epsW v_epsW vfirm_epsW lfirm_epsW rho_epsW JD_epsW...
% JC_epsW netJC_epsW d_epsW yfirm_epsW vi_epsW ve_epsW tauW_epsW surplusW_epsW
% end 

% if deterministicI==0 && pmrI==1 && fcI==1 &&  ubI==1;
% save u_SS_transition_US_CF u_SS
% save epsW_US_CF cmdata_epsW u_epsW ikdata_epsW... 
% gdpIncomedata_epsW wdata_epsW N_epsW iedata_epsW markup_epsW zc_epsW... 
% N_epsW iedata_epsW markup_epsW m_epsW v_epsW q_epsW ub_epsW s_epsW thetaP_epsW ooption_epsW...
% m_epsW q_epsW zc_epsW v_epsW vfirm_epsW lfirm_epsW rho_epsW JD_epsW...
% JC_epsW netJC_epsW d_epsW yfirm_epsW vi_epsW ve_epsW tauW_epsW surplusW_epsW
% end
% 
% if deterministicI==0 && pmrI==0 && fcI==1 &&  ubI==0;
% save u_SS_transition_FCUS_CF u_SS
% save epsW_FCUS_CF cmdata_epsW u_epsW ikdata_epsW... 
% gdpIncomedata_epsW wdata_epsW N_epsW iedata_epsW markup_epsW zc_epsW... 
% N_epsW iedata_epsW markup_epsW m_epsW v_epsW q_epsW ub_epsW s_epsW thetaP_epsW ooption_epsW...
% m_epsW q_epsW zc_epsW v_epsW vfirm_epsW lfirm_epsW rho_epsW JD_epsW... 
% JC_epsW netJC_epsW d_epsW yfirm_epsW vi_epsW ve_epsW tauW_epsW surplusW_epsW
% end
%% Capital income tax
% if deterministicI==0 && pmrI==0 && fcI==0 &&  ubI==0; 
% save u_SS_transition_EU_CF u_SS 
% save epsK_EU_CF cmdata_epsK u_epsK ikdata_epsK...
% gdpIncomedata_epsK wdata_epsK N_epsK iedata_epsK markup_epsK zc_epsK...
% N_epsK iedata_epsK markup_epsK m_epsK v_epsK q_epsK ub_epsK s_epsK thetaP_epsK ooption_epsK...
% m_epsK q_epsK zc_epsK v_epsK vfirm_epsK lfirm_epsK rho_epsK JD_epsK... 
% JC_epsK netJC_epsK d_epsK yfirm_epsK vi_epsK ve_epsK tauK_epsK surplusW_epsK
% end 

% if deterministicI==0 && pmrI==1 && fcI==1 &&  ubI==1;
% save u_SS_transition_US_CF u_SS
% save epsK_US_CF cmdata_epsK u_epsK ikdata_epsK... 
% gdpIncomedata_epsK wdata_epsK N_epsK iedata_epsK markup_epsK zc_epsK... 
% N_epsK iedata_epsK markup_epsK m_epsK v_epsK q_epsK ub_epsK s_epsK thetaP_epsK ooption_epsK...
% m_epsK q_epsK zc_epsK v_epsK vfirm_epsK lfirm_epsK rho_epsK JD_epsK...
% JC_epsK netJC_epsK d_epsK yfirm_epsK vi_epsK ve_epsK tauK_epsK surplusW_epsK
% end

% if deterministicI==0 && pmrI==0 && fcI==1 &&  ubI==0;
% save u_SS_transition_FCUS_CF u_SS
% save epsK_FCUS_CF cmdata_epsK u_epsK ikdata_epsK... 
% gdpIncomedata_epsK wdata_epsK N_epsK iedata_epsK markup_epsK zc_epsK... 
% N_epsK iedata_epsK markup_epsK m_epsK v_epsK q_epsK ub_epsK s_epsK thetaP_epsK ooption_epsK...
% m_epsK q_epsK zc_epsK v_epsK vfirm_epsK lfirm_epsK rho_epsK JD_epsK JC_epsK...
% netJC_epsK d_epsK yfirm_epsK vi_epsK ve_epsK tauK_epsK surplusW_epsK
% end

%% Government consumption shock
% if deterministicI==0 && pmrI==0 && fcI==0 &&  ubI==0; 
% save u_SS_transition_EU_CF u_SS 
% save epsG_EU_CF cmdata_epsG u_epsG ikdata_epsG...
% gdpIncomedata_epsG wdata_epsG N_epsG iedata_epsG markup_epsG zc_epsG...
% N_epsG iedata_epsG markup_epsG m_epsG v_epsG q_epsG ub_epsG s_epsG thetaP_epsG ooption_epsG...
% m_epsG q_epsG zc_epsG v_epsG vfirm_epsG lfirm_epsG rho_epsG JD_epsG JC_epsG...
% netJC_epsG d_epsG yfirm_epsG vi_epsG ve_epsG gc_epsG surplusW_epsG
% end 

% if deterministicI==0 && pmrI==1 && fcI==1 &&  ubI==1;
% save u_SS_transition_US_CF u_SS
% save epsG_US_CF cmdata_epsG u_epsG ikdata_epsG... 
% gdpIncomedata_epsG wdata_epsG N_epsG iedata_epsG markup_epsG zc_epsG... 
% N_epsG iedata_epsG markup_epsG m_epsG v_epsG q_epsG ub_epsG s_epsG thetaP_epsG ooption_epsG...
% m_epsG q_epsG zc_epsG v_epsG vfirm_epsG lfirm_epsG rho_epsG JD_epsG...
% JC_epsG netJC_epsG d_epsG yfirm_epsG vi_epsG ve_epsG gc_epsG surplusW_epsG
% end

% if deterministicI==0 && pmrI==0 && fcI==1 &&  ubI==0;
% save u_SS_transition_FCUS_CF u_SS
% save epsG_FCUS_CF cmdata_epsG u_epsG ikdata_epsG... 
% gdpIncomedata_epsG wdata_epsG N_epsG iedata_epsG markup_epsG zc_epsG... 
% N_epsG iedata_epsG markup_epsG m_epsG v_epsG q_epsG ub_epsG s_epsG thetaP_epsG ooption_epsG...
% m_epsG q_epsG zc_epsG v_epsG vfirm_epsG lfirm_epsG rho_epsG JD_epsG...
% JC_epsG netJC_epsG d_epsG yfirm_epsG vi_epsG ve_epsG gc_epsG surplusW_epsG
% end